APG PayAPG Paydocs

Marketplaces

Get marketplace setting

GET/marketplaces/{marketplaceId}/settings
Request
GEThttps://api.tst.au.apgpay.dev/marketplaces/{marketplaceId}/settings
curl -X GET https://api.tst.au.apgpay.dev/marketplaces/{marketplaceId}/settings \
  -H "Authorization: Bearer $API_KEY"

Return the defaults sub-merchants inherit, and the tax countries this marketplace can create them in. The defaults are absent where you may not read them, which is the same answer as having none.

Permissions

Required permission
marketplaces:query

Requires the `query` action on `marketplaces` for the supplied runtime context

Path parameters

marketplaceIdstring
required

Responses

The response is a typed union.

Discriminated by type
type = "MktpSettingsConfigured"

The settings sub-merchants inherit where they have set none of their own. An absent field is left as it is.

taxCountriesarray of IsoCountry

Every tax country the marketplace can create sub-merchants in, and therefore has a template for.

AFAXALDZASADAOAIAQAG
+239 more

AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, VG, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, KP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, CD, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, VI, UZ, VU, VA, VE, VN, WF, EH, YE, ZM, ZW

Example
{
  "type": "MktpSettingsConfigured",
  "defaults": {
    "type": "MktpDefaultsAttributes",
    "settlementType": "Net",
    "bankAccountVerificationRequired": true,
    "bankAccountVerification": {
      "type": "MchtVerificationPolicyAttributes",
      "accept": [
        "Match"
      ],
      "includeResultInResponse": true
    },
    "sourceVerificationEnabled": true,
    "supportedCustomerTypes": [
      "Consumer"
    ],
    "payInFullMinimum": 1250,
    "payInFullMaximum": 1250,
    "disputesWaived": true,
    "payoutPriority": 10,
    "showPlatformLogoInTerms": true,
    "showSavedPaymentMethodsInCheckout": true,
    "showReferenceOrderIdToCustomer": true,
    "emailPaymentReceipt": true,
    "emailPaymentFailure": true,
    "offerGooglePay": true,
    "allowCheckoutWithoutPayInFull": true,
    "manualPaymentsCardOnly": true,
    "useMarketplaceReceivableAccount": true,
    "payIdDomain": "string",
    "payoutChannels": [
      "Standard"
    ],
    "payoutRemitterName": "Ada Lovelace",
    "disbursementSourceAccountId": "string"
  },
  "taxCountries": [
    "AU"
  ]
}

Error responses